# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Jun  6 23:29:19 2025
# ------------------------------------------------

package:
  name: r-bpcells
  version: 0.3.0
source:
  patches:
    - patches/0001-fix-libhwy-config.patch
    - patches/0002-granges-conversion.patch
  sha256: 231e91a3d60d2bc400324c5b60fb4644fda16261048d6b1a49bfac4aa269cd1f
  url: https://github.com/bnprks/BPCells/archive/refs/tags/v0.3.0.tar.gz
build:
  number: '1'
  rpaths:
    - lib/
    - lib/R/lib/
  run_exports:
    - r-bpcells >=0.3.0,<0.4.0a0
  string: r44h5411974_1
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - binutils_linux-aarch64 2.43 hf1166c9_4
    - bzip2 1.0.8 h68df207_7
    - gcc_impl_linux-aarch64 13.3.0 h80a1502_2
    - gcc_linux-aarch64 13.3.0 h1cd514b_11
    - gxx_impl_linux-aarch64 13.3.0 h7eae8fb_2
    - gxx_linux-aarch64 13.3.0 h2864abd_11
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libffi 3.4.6 he21f813_1
    - libgcc 15.1.0 he277a41_2
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_102
    - libgcc-ng 15.1.0 he9431aa_2
    - libglib 2.84.2 hc022ef1_0
    - libgomp 15.1.0 he277a41_2
    - libiconv 1.18 hc99b53d_1
    - libsanitizer 13.3.0 ha58e236_2
    - libstdcxx 15.1.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 13.3.0 h0c07274_102
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - pcre2 10.45 hf4ec17f_0
    - pkg-config 0.29.2 hce167ba_1009
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025b h78e105d_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - _r-mutex 1.0.1 anacondar_1
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - bwidget 1.10.1 h8af1aa0_0
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.5 h86ecc28_0
    - ca-certificates 2025.4.26 hbd8a1cb_0
    - cairo 1.18.4 h83712da_0
    - curl 8.14.1 h6702fde_0
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 h77eed37_3
    - fontconfig 2.15.0 h8dda3cd_1
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.13.3 h8af1aa0_1
    - fribidi 1.0.10 hb9de7d4_0
    - gcc_impl_linux-aarch64 15.1.0 hed31cfe_2
    - gfortran_impl_linux-aarch64 15.1.0 h1fb5afe_2
    - graphite2 1.3.13 h2f0025b_1003
    - gsl 2.7 h294027d_0
    - gxx_impl_linux-aarch64 15.1.0 h2c3c454_2
    - harfbuzz 11.2.1 h405b6a2_0
    - hdf5 1.14.3 nompi_h6ed7ac7_109
    - icu 75.1 hf9b3779_0
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - lerc 4.0.0 hfdc4d58_1
    - libaec 1.1.3 h2f0025b_0
    - libblas 3.9.0 31_h1a9f1db_openblas
    - libcblas 3.9.0 31_hab92f65_openblas
    - libcurl 8.14.1 h6702fde_0
    - libdeflate 1.24 he377734_0
    - libedit 3.1.20250104 pl5321h976ea20_0
    - libev 4.33 h31becfc_2
    - libexpat 2.7.0 h5ad3122_0
    - libffi 3.4.6 he21f813_1
    - libfreetype 2.13.3 h8af1aa0_1
    - libfreetype6 2.13.3 he93130f_1
    - libgcc 15.1.0 he277a41_2
    - libgcc-devel_linux-aarch64 15.1.0 hd0aa34e_102
    - libgcc-ng 15.1.0 he9431aa_2
    - libgfortran 15.1.0 he9431aa_2
    - libgfortran-ng 15.1.0 he9431aa_2
    - libgfortran5 15.1.0 hbc25352_2
    - libglib 2.84.2 hc022ef1_0
    - libgomp 15.1.0 he277a41_2
    - libhwy 1.1.0 h2a328a1_0
    - libiconv 1.18 hc99b53d_1
    - libjpeg-turbo 3.1.0 h86ecc28_0
    - liblapack 3.9.0 31_h411afd4_openblas
    - liblzma 5.8.1 h86ecc28_2
    - libnghttp2 1.64.0 hc8609a4_0
    - libopenblas 0.3.29 pthreads_h9d3fd7e_0
    - libpng 1.6.47 hec79eb8_0
    - libsanitizer 15.1.0 hfec4e15_2
    - libssh2 1.11.1 h18c354c_0
    - libstdcxx 15.1.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 15.1.0 hd0aa34e_102
    - libstdcxx-ng 15.1.0 hf1166c9_2
    - libtiff 4.7.0 h7c15681_5
    - libuuid 2.38.1 hb4cce97_0
    - libwebp-base 1.5.0 h0886dbf_0
    - libxcb 1.17.0 h262b8f6_0
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - ncurses 6.5 ha32ae93_3
    - openssl 3.5.0 hd08dc88_1
    - pango 1.56.3 h1e6a6fd_1
    - pcre2 10.45 hf4ec17f_0
    - pixman 0.46.0 h86a87f0_0
    - pthread-stubs 0.4 h86ecc28_1002
    - r-assertthat 0.2.1 r44hc72bb7e_5
    - r-base 4.4.3 h938603e_2
    - r-bit 4.6.0 r44hdd76399_0
    - r-bit64 4.6.0_1 r44hdd76399_0
    - r-cli 3.6.5 r44h21d2c02_0
    - r-clipr 0.8.0 r44hc72bb7e_3
    - r-colorspace 2.1_1 r44hc1cf72c_0
    - r-cpp11 0.5.2 r44h785f33e_1
    - r-crayon 1.5.3 r44hc72bb7e_1
    - r-dplyr 1.1.4 r44h6170684_1
    - r-ellipsis 0.3.2 r44hc1cf72c_3
    - r-fansi 1.0.6 r44hc1cf72c_1
    - r-farver 2.1.2 r44h6170684_1
    - r-generics 0.1.4 r44hc72bb7e_0
    - r-ggplot2 3.5.2 r44hc72bb7e_0
    - r-ggrepel 0.9.6 r44h21d2c02_0
    - r-glue 1.8.0 r44hdd76399_0
    - r-gtable 0.3.6 r44hc72bb7e_0
    - r-hexbin 1.28.5 r44h6e524ba_0
    - r-hms 1.1.3 r44hc72bb7e_2
    - r-isoband 0.2.7 r44h6170684_3
    - r-labeling 0.4.3 r44hc72bb7e_1
    - r-lattice 0.22_7 r44hdd76399_0
    - r-lifecycle 1.0.4 r44hc72bb7e_1
    - r-magrittr 2.0.3 r44hc1cf72c_3
    - r-mass 7.3_64 r44hdd76399_0
    - r-matrix 1.7_3 r44h309c413_0
    - r-mgcv 1.9_3 r44h309c413_0
    - r-munsell 0.5.1 r44hc72bb7e_1
    - r-nlme 3.1_168 r44h6e524ba_0
    - r-patchwork 1.3.0 r44hc72bb7e_0
    - r-pillar 1.10.2 r44hc72bb7e_0
    - r-pkgconfig 2.0.3 r44hc72bb7e_4
    - r-prettyunits 1.2.0 r44hc72bb7e_1
    - r-progress 1.2.3 r44hc72bb7e_1
    - r-purrr 1.0.4 r44hdd76399_0
    - r-r6 2.6.1 r44hc72bb7e_0
    - r-rcolorbrewer 1.1_3 r44h785f33e_3
    - r-rcpp 1.0.14 r44h21d2c02_0
    - r-rcppeigen 0.3.4.0.2 r44h9eb5c89_0
    - r-readr 2.1.5 r44h6170684_1
    - r-rlang 1.1.6 r44h21d2c02_0
    - r-scales 1.4.0 r44hc72bb7e_0
    - r-scattermore 1.2 r44h6170684_3
    - r-stringi 1.8.7 r44h3606096_0
    - r-stringr 1.5.1 r44h785f33e_1
    - r-tibble 3.2.1 r44hc1cf72c_3
    - r-tidyr 1.3.1 r44h6170684_1
    - r-tidyselect 1.2.1 r44hc72bb7e_1
    - r-tzdb 0.5.0 r44h21d2c02_0
    - r-utf8 1.2.5 r44hdd76399_0
    - r-vctrs 0.6.5 r44h6170684_1
    - r-viridislite 0.4.2 r44hc72bb7e_2
    - r-vroom 1.6.5 r44h6170684_1
    - r-withr 3.0.2 r44hc72bb7e_0
    - readline 8.2 h8382b9d_2
    - sed 4.9 hd4cd8d4_0
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tk 8.6.13 noxft_h5688188_102
    - tktable 2.10 h52f7bd3_6
    - tzdata 2025b h78e105d_0
    - xorg-libice 1.1.2 h86ecc28_0
    - xorg-libsm 1.2.6 h0808dbd_0
    - xorg-libx11 1.8.12 hca56bd8_0
    - xorg-libxau 1.0.12 h86ecc28_0
    - xorg-libxdmcp 1.1.5 h57736b2_0
    - xorg-libxext 1.3.6 h57736b2_0
    - xorg-libxrender 0.9.12 h86ecc28_0
    - xorg-libxt 1.3.1 h57736b2_0
    - zlib 1.3.1 h86ecc28_2
    - zstd 1.5.7 hbcf94c1_2
  run:
    - hdf5 >=1.14.3,<1.14.4.0a0
    - libgcc >=13
    - libhwy >=1.1.0,<1.2.0a0
    - libstdcxx >=13
    - libzlib >=1.3.1,<2.0a0
    - r-base >=4.4,<4.5.0a0
    - r-base >=4.4,<4.5.0a0
    - r-dplyr >=1.0.0
    - r-ggplot2 >=3.4.0
    - r-ggrepel
    - r-hexbin
    - r-lifecycle
    - r-magrittr
    - r-matrix
    - r-patchwork
    - r-rcolorbrewer
    - r-rcpp
    - r-readr
    - r-rlang
    - r-scales
    - r-scattermore
    - r-stringr
    - r-tibble
    - r-tidyr
    - r-vctrs
test:
  commands:
    - $R -e "library('BPCells')"
    - if command -v macs3; then $R -e "testthat::test_package('BPCells', stop_on_failure=TRUE)";
      fi
  requires:
    - bioconductor-genomicranges
    - bioconductor-iranges
    - macs3
    - r-igraph
    - r-matrixstats
    - r-rspectra
    - r-testthat
    - r-withr
about:
  dev_url: https://github.com/bnprks/BPCells
  doc_url: https://bnprks.github.io/BPCells
  home: https://bnprks.github.io/BPCells
  license: Apache-2.0 or MIT
  license_family: MIT
  license_file:
    - COPYRIGHT
    - LICENSE-APACHE
    - LICENSE-MIT
  summary: Efficient operations for single cell ATAC-seq fragments and RNA counts
    matrices. Interoperable with standard file formats, and introduces efficient bit-packed
    formats that allow large storage savings and increased read speeds.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - mfansler
